PLASMA: plasma Module Reference

PLASMA 2.4.6

- Main Page
- Modules
- Data Types List

- Data Types List
- Data Types

All Data Structures Functions Groups
Data Types | Public Member Functions | Data Fields
plasma Module Reference

## Data Types
interface | free_c
interface | PLASMA_Dealloc_Handle_c
interface | PLASMA_Dealloc_Handle_Tile_c
interface | plasma_desc_create
interface | PLASMA_Desc_Create_c
interface | PLASMA_Desc_Destroy_c
interface | PLASMA_Disable_c
interface | PLASMA_Enable_c
interface | PLASMA_Finalize_c
interface | PLASMA_Get_c
interface | PLASMA_Init_Affinity_c
interface | PLASMA_Init_c
interface | plasma_lapack_to_tile
interface | PLASMA_Lapack_to_Tile_c
interface | PLASMA_Sequence_Create_c
interface | PLASMA_Sequence_Destroy_c
interface | PLASMA_Sequence_Flush_c
interface | PLASMA_Sequence_Wait_c
interface | PLASMA_Set_c
interface | plasma_tile_to_lapack
interface | PLASMA_Tile_to_Lapack_c
interface | PLASMA_Version_c

## Public Member Functions
subroutine | plasma_init (ncores, info)
subroutine | plasma_finalize (info)
subroutine | plasma_set (param, pval, info)
subroutine | plasma_get (param, pval, info)
subroutine | plasma_enable (param, info)
subroutine | plasma_disable (param, info)
subroutine | plasma_lapack_to_tile_s (a_lpk, lda, a_pma, info)
subroutine | plasma_lapack_to_tile_d (a_lpk, lda, a_pma, info)
subroutine | plasma_lapack_to_tile_cpx (a_lpk, lda, a_pma, info)
subroutine | plasma_lapack_to_tile_z (a_lpk, lda, a_pma, info)
subroutine | plasma_tile_to_lapack_s (a_pma, a_lpk, lda, info)
subroutine | plasma_tile_to_lapack_d (a_pma, a_lpk, lda, info)
subroutine | plasma_tile_to_lapack_cpx (a_pma, a_lpk, lda, info)
subroutine | plasma_tile_to_lapack_z (a_pma, a_lpk, lda, info)
subroutine | plasma_desc_create_s (desc, mat, dtyp, mb, nb, bsiz, lm, ln, i, j, m, n, info)
subroutine | plasma_desc_create_d (desc, mat, dtyp, mb, nb, bsiz, lm, ln, i, j, m, n, info)
subroutine | plasma_desc_create_cpx (desc, mat, dtyp, mb, nb, bsiz, lm, ln, i, j, m, n, info)
subroutine | plasma_desc_create_z (desc, mat, dtyp, mb, nb, bsiz, lm, ln, i, j, m, n, info)
subroutine | plasma_desc_destroy (desc, info)
subroutine | plasma_free (ptr)
subroutine | plasma_version (ver_major, ver_minor, ver_micro, info)
subroutine | plasma_init_affinity (cores, bindtab, info)
subroutine | plasma_dealloc_handle (handle, info)
subroutine | plasma_dealloc_handle_tile (desc, info)
subroutine | plasma_sequence_create (sequence, info)
subroutine | plasma_sequence_destroy (sequence, info)
subroutine | plasma_sequence_wait (sequence, info)
subroutine | plasma_sequence_flush (sequence, request, info)

## Data Fields
logical | plasma_initialized = .false.
integer, parameter | sp = kind(0.0)
integer, parameter | dp = kind(0.0d0)